REM ============================================================
REM FILE: Compile.bat
REM DESC: This File will Compile the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn 
MKDIR gui

MKDIR kgs
MKDIR kgs\io

MKDIR las 

MKDIR las3 

MKDIR lith
MKDIR lith\texture
MKDIR lith\lithology

MKDIR horizon
MKDIR horizon\bio
MKDIR horizon\strat
MKDIR horizon\env

MKDIR brine
MKDIR brine\io
MKDIR brine\gui
MKDIR brine\plot
MKDIR brine\math

MKDIR rock
MKDIR rock\color

MKDIR mask

MKDIR parse

MKDIR pfeffer

MKDIR ss

MKDIR iqstrat
MKDIR iqstrat\io

MKDIR util

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .
COPY src\cmn\*.java cmn
COPY src\gui\*.java gui

COPY src\kgs\*.java kgs
COPY src\kgs\io\*.java kgs\io

COPY src\las\*.java las

COPY src\las3\*.java las3

COPY src\lith\texture\*.java lith\texture
COPY src\lith\lithology\*.java lith\lithology

COPY src\horizon\bio\*.java horizon\bio
COPY src\horizon\strat\*.java horizon\strat
COPY src\horizon\env\*.java horizon\env

COPY src\brine\*.java brine
COPY src\brine\gui\*.java brine\gui
COPY src\brine\io\*.java brine\io
COPY src\brine\plot\*.java brine\plot
COPY src\brine\math\*.java brine\math

COPY src\rock\*.java rock
COPY src\rock\color\*.java rock\color

COPY src\mask\*.java mask

COPY src\parse\*.java parse

COPY src\pfeffer\*.java pfeffer

COPY src\ss\*.java ss

COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\io\*.java iqstrat\io

COPY src\util\*.java util

REM ------------------------------------------------------------
REM COMPILE Simple LAS Plot
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation SamplePlot.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java
DEL cmn\*.java
DEL gui\*.java

DEL kgs\*.java
DEL kgs\io\*.java

DEL las\*.java

DEL las3\*.java

DEL lith\texture\*.java
DEL lith\lithology\*.java

DEL horizon\bio\*.java
DEL horizon\strat\*.java
DEL horizon\env\*.java

DEL brine\*.java
DEL brine\gui\*.java
DEL brine\io\*.java
DEL brine\plot\*.java
DEL brine\math\*.java

DEL rock\*.java
DEL rock\color\*.java

DEL mask\*.java

DEL parse\*.java

DEL pfeffer\*.java

DEL ss\*.java

DEL iqstrat\*.java
DEL iqstrat\io\*.java

DEL util\*.java

REM ------------------------------------------------------------
REM REMOVE the old LAS Jar File
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL SamplePlot.txt

C:\jdk1.7.0_25\bin\jar cvfm SamplePlot.jar Manifest.txt *.class cmn gui kgs las las3 lith horizon mask parse iqstrat brine rock  ss pfeffer util
C:\jdk1.7.0_25\bin\jar tvf SamplePlot.jar > SamplePlot.txt

MOVE SamplePlot.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q

DEL kgs /q
DEL kgs\io /q

DEL las /q

DEL las3 /q

DEL lith\texture /q
DEL lith\lithology /q

DEL horizon\bio /q
DEL horizon\strat /q
DEL horizon\env /q

DEL brine /q
DEL brine\gui /q
DEL brine\io /q
DEL brine\plot /q
DEL brine\math /q

DEL rock /q
DEL rock\color /q

DEL mask /q

DEL parse /q

DEL pfeffer /q

DEL iqstrat /q
DEL iqstrat\io /q

DEL ss /q

DEL util /q

RMDIR cmn
RMDIR gui

RMDIR kgs\io
RMDIR kgs

RMDIR las

RMDIR las3

RMDIR lith\texture
RMDIR lith\lithology
RMDIR lith

RMDIR horizon\bio
RMDIR horizon\strat
RMDIR horizon\env
RMDIR horizon

RMDIR brine\gui
RMDIR brine\io
RMDIR brine\plot
RMDIR brine\math
RMDIR brine

RMDIR rock\color
RMDIR rock

RMDIR mask

RMDIR parse

RMDIR pfeffer

RMDIR iqstrat\io
RMDIR iqstrat

RMDIR ss

RMDIR util

DEL *.class

