/*
 * @brinePlotListStruct.java Version 1.1 06/08/2011
 *
 * Copyright (c) 2011 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package brine.plot;

import brine.plot.brinePlotStruct;

/** CLASS brinePlotListStruct
 *  <p> This Class holds the Brine Plot List Data.
 *
 *  @version 1.1 06/08/2011
 *  @author  John R. Victorine
 */

public class brinePlotListStruct
{
  // Brine Data

  public int             iCount   = 0;    // Total Number of Records
  public brinePlotStruct stItem[] = null; // Array of Brine Plot Structures

  /** Method delete()
   * <p> This method will force set the Objects to null and force Java to
   *     free unwanted memory
   */

  public void delete()
  {
    for (int i=0; i<iCount; i++)
    {
      if (stItem[i] != null)
        stItem[i].delete();
      stItem[i] = null;
    }

    iCount = 0;
  }
}